Bug 197474 - Google Docs & Yahoo! Japan: Can’t compose characters with Chinese or Japanese keyboard
Summary: Google Docs & Yahoo! Japan: Can’t compose characters with Chinese or Japanese...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Local Build
Hardware: iPhone / iPad iOS 12
: P2 Normal
Assignee: Daniel Bates
URL: https://docs.google.com
Keywords: InRadar
Depends on:
Blocks: 190571
  Show dependency treegraph
 
Reported: 2019-05-01 13:41 PDT by Daniel Bates
Modified: 2019-05-07 20:06 PDT (History)
10 users (show)

See Also:


Attachments
Patch (23.86 KB, patch)
2019-05-01 14:39 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews210 for win-future (13.72 MB, application/zip)
2019-05-02 09:21 PDT, Build Bot
no flags Details
To land once UIKit change lands (23.97 KB, patch)
2019-05-03 15:59 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews211 for win-future (13.84 MB, application/zip)
2019-05-04 05:40 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2019-05-01 13:41:06 PDT
Seen on iOS 12 using iPad.

Steps to reproduce:

1. Visit <https://docs.google.com>.
2. Switch to Japanese Romaji keyboard.
3. Type asu.

No inline candidate view is shown and no Japanese characters appear. Only latin characters appear "asu".
Comment 1 Daniel Bates 2019-05-01 13:41:20 PDT
<rdar://problem/47219324>
Comment 2 Daniel Bates 2019-05-01 14:39:13 PDT
Created attachment 368715 [details]
Patch
Comment 3 Build Bot 2019-05-02 09:21:23 PDT
Comment on attachment 368715 [details]
Patch

Attachment 368715 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12062432

New failing tests:
legacy-animation-engine/fast/layers/no-clipping-overflow-hidden-hardware-acceleration.html
Comment 4 Build Bot 2019-05-02 09:21:25 PDT
Created attachment 368775 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 5 Daniel Bates 2019-05-03 15:59:02 PDT
Created attachment 369009 [details]
To land once UIKit change lands
Comment 6 Build Bot 2019-05-04 05:40:49 PDT
Comment on attachment 369009 [details]
To land once UIKit change lands

Attachment 369009 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12098747

New failing tests:
js/dom/custom-constructors.html
http/tests/css/filters-on-iframes.html
Comment 7 Build Bot 2019-05-04 05:40:52 PDT
Created attachment 369070 [details]
Archive of layout-test-results from ews211 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews211  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 8 Daniel Bates 2019-05-06 13:41:07 PDT
Comment on attachment 369009 [details]
To land once UIKit change lands

Clearing flags on attachment: 369009

Committed r244975: <https://trac.webkit.org/changeset/244975>
Comment 9 Daniel Bates 2019-05-06 13:41:08 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Daniel Bates 2019-05-06 15:29:27 PDT
Committed build fix in <https://trac.webkit.org/changeset/244982>.